package io.xjar.key;

import java.io.Serializable;

public abstract class XSecureKey implements XKey, Serializable
{
    private static final long serialVersionUID = -5577962754674149355L;
    protected final String algorithm;
    protected final int keysize;
    protected final int ivsize;
    protected final String password;
    
    protected XSecureKey(final String algorithm, final int keysize, final int ivsize, final String password) {
        this.algorithm = algorithm;
        this.keysize = keysize;
        this.ivsize = ivsize;
        this.password = password;
    }
    
    @Override
    public String getAlgorithm() {
        return this.algorithm;
    }
    
    @Override
    public int getKeysize() {
        return this.keysize;
    }
    
    @Override
    public int getIvsize() {
        return this.ivsize;
    }
    
    @Override
    public String getPassword() {
        return this.password;
    }
}
